/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 
 * Development of this software was sponsored by the Office of Biological  *
 * and Environmental Research of the U.S. Department of Energy's Office    *
 * of Science.                                                             *
 *                                                                         *
 * Copyright 2011 UChicago Argonne, LLC.                                   *
 *                                                                         *
 * Licensed under the Apache License, Version 2.0 (the "License"); you     *
 * may not use this file except in compliance with the License.  You may   *
 * obtain a copy of the License at                                         * 
 *                                                                         *
 *   http://www.apache.org/licenses/LICENSE-2.0                            *
 *                                                                         *
 * Unless required by applicable law or agreed to in writing, software     *
 * distributed under the License is distributed on an "AS IS" BASIS,       *
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or         *
 * implied.  See the License for the specific language governing           *
 * permissions and limitations under the License.                          *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
#ifndef ParCALIAlgo_hpp
#define ParCALIAlgo_hpp

namespace parncl{

typedef void (*pargal_two_inarg_func_t) (pargal::pcvar&, pargal::pcvar&, pargal::pcvar& );
/*
typedef void (*pargal_one_inarg_dim_n_func_t) (pargal::pcvar&, pargal::pcvar&, const std::vector<size_t>&);
typedef double (*pargal_one_inarg_func_t) (pargal::pcvar&);
*/

void *ParCALTwoMDIOp(pargal_two_inarg_func_t func, void *arg1_pvar_shnd, void *arg2_pvar_shnd);
/*
void *ParCALOneMDDimNIOp(pargal_one_inarg_dim_n_func_t func, void *arg1_pvar_shnd, const std::vector<size_t> &dims);
double ParCALOneMDToSIOp(pargal_one_inarg_func_t func, void *arg1_pvar_shnd);
*/

} // namespace parncl

#endif // ParCALIAlgo_hpp
