/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 
 * Development of this software was sponsored by the Office of Biological  *
 * and Environmental Research of the U.S. Department of Energy's Office    *
 * of Science.                                                             *
 *                                                                         *
 * Copyright 2011 UChicago Argonne, LLC.                                   *
 *                                                                         *
 * Licensed under the Apache License, Version 2.0 (the "License"); you     *
 * may not use this file except in compliance with the License.  You may   *
 * obtain a copy of the License at                                         * 
 *                                                                         *
 *   http://www.apache.org/licenses/LICENSE-2.0                            *
 *                                                                         *
 * Unless required by applicable law or agreed to in writing, software     *
 * distributed under the License is distributed on an "AS IS" BASIS,       *
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or         *
 * implied.  See the License for the specific language governing           *
 * permissions and limitations under the License.                          *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#include "UScdMBMesh.hpp"

namespace parncl{

bool UScdMBMesh::ctest(const std::vector<size_t> &var_dims, std::string &pcal_val_loc)
{
	return false;
}

bool UScdMBMesh::ctest(ParCALMeshVal &val, NclSelectionRecord *sel)
{
	return false;
}

UScdMBMesh::UScdMBMesh(moab::Interface *mb_gcore, MPI_Comm mb_comm, moab::ParallelComm *mb_pcomm, MeshFInfo *mesh_finfo, const std::string &part_method):MBMesh::MBMesh(mb_gcore, mb_comm, mb_pcomm, mesh_finfo, part_method)
{
}

UScdMBMesh::~UScdMBMesh()
{
}

void UScdMBMesh::conv_to_local(const NclSelectionRecord *gsel, NclSelectionRecord *lsel, const std::vector<size_t> &gdim_sz, std::vector<size_t> &ldim_sz, const std::string &pcal_val_loc)
{
	NhlPError(NhlFATAL, NhlEUNKNOWN, "Not implemented yet");	
}

void UScdMBMesh::conform_mesh(NclSelectionRecord *gsel, const std::string &pcal_val_loc)
{
	return;
}

void UScdMBMesh::conform_mesh(std::vector<size_t> &gdims_sz, const std::string &pcal_val_loc)
{
	return;
}

void UScdMBMesh::conform_mesh(std::vector<pargal::pcdim> &gdims, const std::string &pcal_val_loc)
{
	return;
}

std::string UScdMBMesh::get_default_part_method(void )
{
	return std::string("TRIVIAL_PARTITION");
}

} // namespace parncl
